Page MenuHomePhabricator

Allow generators like recentchanges to supply a "continuation" for when the generator doesn't actually need continuing
Closed, ResolvedPublic

Description

In its default mode, generator=recentchanges starts with the most recent changes on the wiki. If a prop module needs continuation and the wiki is active, when the client tries to continue generator=recentchanges will generate a different set of changes than it did the first time.

The solution is to allow generators to specify a second "start at" continuation value for use when the generator itself isn't being continued yet. This would be used directly by the default continuation method; what rawcontinue does with it is an open question.

Event Timeline

Anomie created this task.Sep 20 2016, 5:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 20 2016, 5:51 PM
Anomie claimed this task.Sep 20 2016, 9:28 PM

Change 312076 had a related patch set uploaded (by Anomie):
API: Add generator non-continuation data

https://gerrit.wikimedia.org/r/312076

Anomie moved this task from Needs Code to Needs Review on the MediaWiki-API board.Sep 21 2016, 7:20 PM

Change 312076 merged by jenkins-bot:
API: Add generator non-continuation data

https://gerrit.wikimedia.org/r/312076

Anomie closed this task as Resolved.Sep 29 2016, 2:37 PM

Change 315509 had a related patch set uploaded (by Tobias Gritschacher):
Refactor tooltips browsertests

https://gerrit.wikimedia.org/r/315509